package com.zaojiao.app.feat.home.navigation

import androidx.navigation.NavController
import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavOptions
import androidx.navigation.compose.composable
import com.zaojiao.app.feat.home.index.HomeIndexPage
import com.zaojiao.app.feat.home.index.HomeIndexRoute

const val homeIndex = "home/index"

fun NavController.navigateToHomeIndex(navOptions: NavOptions? = null) {
    this.navigate(homeIndex, navOptions)
}

fun NavGraphBuilder.homeIndexPage(
//    onBannerClick: () -> Unit,
//    onShopClick: () -> Unit,
//    onGameClick: () -> Unit,
//    onGoodClick: (String) -> Unit,
//    onCourseClick: (String) -> Unit,
) {
    composable(route = homeIndex) {
        HomeIndexRoute()
    }
}